#ifndef RSA32API
#define RSA32API 
#endif

#ifndef _SHA_H_
#define _SHA_H_ 1
#include "nttype.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
    DWORD state[5];
    DWORD count[2];
    unsigned char buffer[64];
} SHA1_CTX;

void SHA1Transform(DWORD state[5], const unsigned char buffer[64]);
void SHA1Init(SHA1_CTX* context);
void SHA1Update(SHA1_CTX* context, const unsigned char* data, unsigned int len);
void SHA1Final(unsigned char digest[20], SHA1_CTX* context);

#ifdef __cplusplus
}
#endif

#endif
